package Plugins::InfoBrowserAddons::BBC::ParseRSS;

use Slim::Formats::XML;

use strict;

sub parse {
	my $class  = shift;
	my $http   = shift;

	my $params = $http->params('params');
	my $url    = $params->{'url'};

	my $rss = Slim::Formats::XML::parseXMLIntoFeed($http->contentRef);

	my @entries;

	for my $rssitem (@{$rss->{'items'}}) {

		# change link urls to low res version
		my $url = $rssitem->{'link'};
		$url =~ s/\/hi\//\/low\//;

		push @entries, {
			'name'   => $rssitem->{'title'},
			'url'    => $url,
			'parser' => 'Plugins::InfoBrowserAddons::BBC::ParseLow',
			'type'   => 'replace',
		};
	}

	return {
		'type'  => 'opml',
		'title' => $params->{'feedTitle'},
		'items' => \@entries,
	};
}

1;
